מחוברים עכשיו  

/v1/documentation/

Search the AppointmentTrader API reference.
GET

/v1/documentation/get_search_index

#
Get a compact index of documented endpoints and category links. Public-by-design: guests can search the public API reference; restricted documentation requires developer access.
דוגמת בקשה (cURL)
curl --get \
  'https://he.appointmenttrader.com/v1/documentation/get_search_index' \
  --data-urlencode 'key={{API_KEY}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$documentation_get_search_index_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payloadobject כן
$.oneOf[0].allOf[1].Payload.entriesarray כן
$.oneOf[0].allOf[1].Payload.entries[]object לא
$.oneOf[0].allOf[1].Payload.entries[].categorystring כן
$.oneOf[0].allOf[1].Payload.entries[].methodstring כן
$.oneOf[0].allOf[1].Payload.entries[].summarystring כן
$.oneOf[0].allOf[1].Payload.entries[].urlstring כן
$.oneOf[0].allOf[1].Payload.categoriesarray כן
$.oneOf[0].allOf[1].Payload.categories[]object לא
$.oneOf[0].allOf[1].Payload.categories[].namestring כן
$.oneOf[0].allOf[1].Payload.categories[].descriptionstring כן
$.oneOf[0].allOf[1].Payload.categories[].countinteger כן
$.oneOf[0].allOf[1].Payload.categories[].urlstring כן
$.oneOf[0].allOf[1].Payload.versionstring כן
$.oneOf[0].allOf[1].Payload.maxAge = 3600 כן
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/documentation/get_search_index",
    "RequestUserAlias": "example-user",
    "Payload": {
        "entries": [
            {
                "category": "example",
                "method": "get_example",
                "summary": "Read synthetic example.",
                "url": "/api-documentation?category=example#ep-example-get_example"
            }
        ],
        "categories": [
            {
                "name": "example",
                "description": "Synthetic examples.",
                "count": 1,
                "url": "/api-documentation?category=example"
            }
        ],
        "version": "api-docs-0000000000000000000000000000000000000000000000000000000000000000",
        "maxAge": 3600
    }
}
תיעוד נקודת קצה קריא למכונה